Subject: Re: [Fwd: Re: perl test fails]
From: Rob Clack <[email-masked]>
To: [email-masked]
Date: Fri, 29 Aug 2003 12:20:58 +0100

Thank you Elfyn and Jurgen.  A few moment's thought would have reminded 
me that file permissions are handled differently on NT. ;)

Regards
Rob

Elfyn McBratney wrote:
> Rob Clack wrote:
> 
>>[...] 
>>So there seems to be a couple of weensy buggettes there, though I'm not 
>>suggesting anyone bother to fix them unless they happen to be working 
>>there anyway.  They're not serious bugs, but they did obscure the real 
>>problem and waste quite a lot of my and several other people's time.
>>
>>1. chmod should surely change the permissions whatever the contents of 
>>the file, and if it doesn't, it should issue a message.  Silent failure 
>>is not very friendly.
> 
> 
> If your on an NT variant all you have to do is set CYGWIN=ntsec (If you want
> support for NT extended attributes you can add `ntea', too).  However, on
> win9x the `ch*' family of calls retrun success (IIRC), as the underlying OS
> does not support security in the way NT does.  I might be slightly wrong about
> the win9x but, though it's documented in either the User's Guide of the FAQ.
> 
> You can then use `ch{mod,own,grp}' in the same way you would on Linux.
> 
> -- Elfyn
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

-- 
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  Middle age is when broadness of mind and narrowness
  of waist change places.
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  Rob Clack                        Acedb Development,  Informatics Group
  email: [email-masked]                Wellcome Trust Sanger Institute
  Tel: +44 1223 494780                   Wellcome Trust Genome Campus
  Fax: +44 1223 494919                   Hinxton  Cambridge    CB10 1SA

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/